Bug 1359141 (CVE-2015-8948) - CVE-2015-8948 libidn: Out-of-bounds read due to use of fgets with fixed-size buffer
Summary: CVE-2015-8948 libidn: Out-of-bounds read due to use of fgets with fixed-size ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8948
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359146 1359147 1359148
Blocks: 1359151
TreeView+ depends on / blocked
 
Reported: 2016-07-22 11:53 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
7 users (show)

Fixed In Version: libidn 1.33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 04:50:06 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-22 11:53:15 UTC
An out-of-bounds read vulnerability was found in libidn due to the use of fgets with fixed-size buffer.

Upstream patch:

http://git.savannah.gnu.org/cgit/libidn.git/commit/?id=570e68886c41c2e765e6218cb317d9a9a447a041

CVE assignment:

http://seclists.org/oss-sec/2016/q3/124

Comment 1 Adam Mariš 2016-07-22 12:04:59 UTC
Created libidn tracking bugs for this issue:

Affects: fedora-all [bug 1359146]

Comment 2 Adam Mariš 2016-07-22 12:05:06 UTC
Created mingw-libidn tracking bugs for this issue:

Affects: fedora-all [bug 1359147]
Affects: epel-7 [bug 1359148]

Comment 3 Fedora Update System 2016-07-24 20:18:20 UTC
libidn-1.33-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-08-08 23:56:17 UTC
libidn-1.33-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.